You are not logged in.

#1 2016-02-09 19:42:09

smnpl
Member
From: Germany
Registered: 2015-01-07
Posts: 48

Source games stopped working - nvidia update(361.28-1) suspected

Hi,

so after todays update of nvidia driver package source games like Counter Strike GO and Left 4 Dead 2 do not start anymore and break with message
"Could not find required OpenGL entry poing 'glGetError'! Either your video card unsupported, or your OpenGL driver needs to be updated."

As I was playing the games just yesterday I'm suspecting said update. Other games like Trine2 or Counter Strike 1.6 are still working well. Therefore it seems to be affecting mostly source engine games. My graphics card as a Nvidia GTX 960.

I'm not sure how to investigate further in that issue. Any advice in wher to look for logs / detailed error messages would be appreciated. Running the game from terminal doesn't provide more detailed information.

Best regards
Simon


The road to wisdom? - Well, it's plain and simple to express: Err and err and err again but less and less and less. - Piet Hein -

Offline

#2 2016-02-09 19:50:56

cgar
Member
Registered: 2012-08-26
Posts: 10

Re: Source games stopped working - nvidia update(361.28-1) suspected

Can confirm, also getting the following error when opening Dota2.

"Missing basic OpenGL v1.0 -> v2.0 required  OpenGL  functionality."

Offline

#3 2016-02-09 20:05:46

aligator
Member
Registered: 2013-10-07
Posts: 75

Re: Source games stopped working - nvidia update(361.28-1) suspected

hi

has anyone else noticed this:

PROBLEM: You appear to have OpenGL 0.0.0, but we need at least 2.0.0!
Could not find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or your OpenGL driver needs to be updated.

Last edited by aligator (2016-02-09 20:07:37)

Offline

#4 2016-02-09 20:10:22

smirky
Member
From: Bulgaria
Registered: 2013-02-23
Posts: 264
Website

Re: Source games stopped working - nvidia update(361.28-1) suspected

Same here, probably it's related to packaging. We'll see...


Personal spot  ::  https://www.smirky.net/  ::  Try not to get lost!

Offline

#5 2016-02-09 20:18:13

saivert
Member
Registered: 2014-06-13
Posts: 19

Re: Source games stopped working - nvidia update(361.28-1) suspected

This must be a packaging mistake since NVIDIA now by default no longer uses GLVND because of too many issues with it apparently.

https://devtalk.nvidia.com/default/topi … -start-up/

Last edited by saivert (2016-02-09 20:40:01)

Offline

#6 2016-02-09 20:29:22

blablo
Member
Registered: 2011-06-02
Posts: 35

Re: Source games stopped working - nvidia update(361.28-1) suspected

Offline

#7 2016-02-09 20:51:34

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,062
Website

Re: Source games stopped working - nvidia update(361.28-1) suspected

Mod note: Moving to Multimedia and Games, and merging with similar thread.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#8 2016-02-10 07:49:33

smnpl
Member
From: Germany
Registered: 2015-01-07
Posts: 48

Re: Source games stopped working - nvidia update(361.28-1) suspected

So, after going through the provided link I landed on this site
https://devtalk.nvidia.com/default/topi … r-package/
Nvidia states
"In order to provide better compatibility with existing applications, the NVIDIA Linux driver installer package will be providing the option to install either a GLVND-based OpenGL driver stack, or a legacy, non-GLVND based stack, beginning with the upcoming 361.28 driver release. The default will be to install a non-GLVND OpenGL driver for the lifetime of the 361.xx series."

Considering, that we do have issues after the update, it would mean that the arch package does different than the official nvidia release and installs the new library instead of the legacy one by default. Right? Then, is that intended or is it a bug in the package build (Though I'd have assumed, that default would be, what the vendor recommends)? Depending on the answer we'd either wait for an updated "fixed" package or an update to the affected applications / games. While the first option would probably a fairly short timeframe, the second would be a fairly long one which would lead to the need to at least create a fixed aur package for the time being.

Last edited by smnpl (2016-02-10 07:55:30)


The road to wisdom? - Well, it's plain and simple to express: Err and err and err again but less and less and less. - Piet Hein -

Offline

#9 2016-02-10 10:48:38

Maty
Member
Registered: 2013-09-06
Posts: 11

Re: Source games stopped working - nvidia update(361.28-1) suspected

aligator wrote:
PROBLEM: You appear to have OpenGL 0.0.0, but we need at least 2.0.0!
Could not find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or your OpenGL driver needs to be updated.

Got the same error when trying to launch Source engine based game Insurgency via Steam. Temporarily solved by downgrading Nvidia packages to the last versions of 361.18-*.

Offline

#10 2016-02-10 16:43:44

d-mon
Member
Registered: 2014-10-15
Posts: 18

Re: Source games stopped working - nvidia update(361.28-1) suspected

Offline

#11 2016-02-10 17:32:03

smnpl
Member
From: Germany
Registered: 2015-01-07
Posts: 48

Re: Source games stopped working - nvidia update(361.28-1) suspected

Thx for the link.
I downgraded and excluded those packages from updating for the time being as well.


The road to wisdom? - Well, it's plain and simple to express: Err and err and err again but less and less and less. - Piet Hein -

Offline

#12 2016-02-10 18:13:06

smirky
Member
From: Bulgaria
Registered: 2013-02-23
Posts: 264
Website

Re: Source games stopped working - nvidia update(361.28-1) suspected

Ok, so I just updated to the new nvidia packages:

 0 « smirky » ~ » pacman -Q | grep nvidia
lib32-nvidia-libgl 361.28-2
lib32-nvidia-utils 361.28-2
nvidia 361.28-1
nvidia-libgl 361.28-2
nvidia-utils 361.28-2

Then I stopped X, did:

$ rmmod nvidia_modeset
$ rmmod nvidia
$ modprobe nvidia
$ modprobe nvidia_modeset

The issue still persists. Am I missing something here?


Personal spot  ::  https://www.smirky.net/  ::  Try not to get lost!

Offline

#13 2016-02-10 18:51:05

blackout23
Member
Registered: 2011-11-16
Posts: 780

Re: Source games stopped working - nvidia update(361.28-1) suspected

The problem is not fixed in the newest package release.

What is strange is that you can work around this for some reason by going to the startup script of the game in the games install directory and for example edit hl2.sh for Counter Strike: Source and change __GL_THREADED_OPTIMIZATION=1 to 0. And now it will start.

Offline

#14 2016-02-10 18:51:27

saivert
Member
Registered: 2014-06-13
Posts: 19

Re: Source games stopped working - nvidia update(361.28-1) suspected

Apparently the package maintainers decided to move glvnd into its own package now:
libglvnd https://www.archlinux.org/packages/extr … /libglvnd/
This should also be installed since it is a dependency of nvidia-libgl.

Offline

#15 2016-02-10 18:58:03

blackout23
Member
Registered: 2011-11-16
Posts: 780

Re: Source games stopped working - nvidia update(361.28-1) suspected

saivert wrote:

Apparently the package maintainers decided to move glvnd into its own package now:
libglvnd https://www.archlinux.org/packages/extr … /libglvnd/
This should also be installed since it is a dependency of nvidia-libgl.

Yes but with release 2 of the driver and the glvnd packages this issue is still not fixed.
Portal 2 works, but CSS and Talos Principle don't work. I can only get CSS to work by turning of GL_THREADED_OPTIMIZATIONS in the start script.

Offline

#16 2016-02-10 20:59:47

YAOMTC
Member
Registered: 2010-02-23
Posts: 178

Re: Source games stopped working - nvidia update(361.28-1) suspected

Just updated, and I still have this problem. Team Fortress 2, Half-Life 2, Portal, Garry's Mod:

Could not find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or your OpenGL driver needs to be updated.

For Dota 2:

Missing basic OpenGL v1.0 -> v2.0 required OpenGL functionality.

Portal 2 works.

Offline

#17 2016-02-10 21:43:54

MetaNova
Member
Registered: 2014-11-24
Posts: 3

Re: Source games stopped working - nvidia update(361.28-1) suspected

A note to anyone that did not roll back the 361.28-1 update: I had to use --force to get pacman to install 361.28-2 due to a conflicting file warning about /usr/lib/libGL.so.1 and /usr/lib32/libGL.so.1.

Update: After rebooting Dota 2 still doesn't work for me also.

Last edited by MetaNova (2016-02-10 21:52:08)

Offline

#18 2016-02-11 02:02:55

ClaudioP
Member
From: Portugal
Registered: 2012-03-11
Posts: 60

Re: Source games stopped working - nvidia update(361.28-1) suspected

Another issue of this bug is that bumblebee suddenly doesn't work.
mesa-libgl conflicts with libglvnd.

error: failed to commit transaction (conflicting files)
libglvnd: /usr/lib/libGL.so exists in filesystem
libglvnd: /usr/lib/libGL.so.1 exists in filesystem
libglvnd: /usr/lib/libGLESv1_CM.so exists in filesystem
libglvnd: /usr/lib/libGLESv1_CM.so.1 exists in filesystem
libglvnd: /usr/lib/libGLESv2.so exists in filesystem
libglvnd: /usr/lib/libGLESv2.so.2 exists in filesystem
libglvnd: /usr/lib/libGLESv2.so.2.0.0 exists in filesystem
Errors occurred, no packages were upgraded.

$primusrun glxgears
primus: fatal: failed to load any of the libraries: /usr/lib/nvidia/libGL.so.1:/usr/lib32/nvidia/libGL.so.1
/usr/lib/nvidia/libGL.so.1: cannot open shared object file: No such file or directory
/usr/lib32/nvidia/libGL.so.1: cannot open shared object file: No such file or directory

EDIT:
https://bugs.archlinux.org/task/48123

Last edited by ClaudioP (2016-02-11 02:22:33)


Ahh... stuff

Offline

#19 2016-02-11 02:42:30

mrkaiser
Member
Registered: 2016-02-11
Posts: 1

Re: Source games stopped working - nvidia update(361.28-1) suspected

Hi

It appears that Bioshock Infinite, along with Transistor, and Geometry Wars 3 have stopped working.  I believe this issue arose yesterday when the nvidia driver updates were pushed. Today I recieved new libgl packages for nvidia, but those did not help. Half-Life 2 and Portal 2 still work. I am running a GTX 970.

Could it be related to this issue : https://bugs.archlinux.org/task/48123 ?

Thanks!
mrkaiser

Offline

#20 2016-02-11 02:44:49

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 28,048
Website

Re: Source games stopped working - nvidia update(361.28-1) suspected

Merging with the existing thread: please search before posting.


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Online

#21 2016-02-11 07:22:19

smnpl
Member
From: Germany
Registered: 2015-01-07
Posts: 48

Re: Source games stopped working - nvidia update(361.28-1) suspected

Ok, I don't think we need a list of games which dont work anymore (at least in this thread).

I'll summarize my understandings for now. Please correct me if something wrong is stated:

- Nvidia implemented a new library (glvnd) which was installed by the nvidia package build by default (contrary to nvidias installer)
- Some games / applications are incompatible with that library (for now) and stopped working
- The new library has been separated into an own package
- Unclear to me: Does the nvidia package build now install the legacy library by default? (according to reports here, that applications still do not work I guess not)
- Best solution for now, to keep applications working, seems to be a downgrade to 361.18-*


The road to wisdom? - Well, it's plain and simple to express: Err and err and err again but less and less and less. - Piet Hein -

Offline

#22 2016-02-11 10:10:26

ClaudioP
Member
From: Portugal
Registered: 2012-03-11
Posts: 60

Re: Source games stopped working - nvidia update(361.28-1) suspected

Well, I got it in a different way.
Glvnd is a way to allow different graphic drivers to stack up.
For example, you could stack all of the mesa drivers but couldn't mix them with catalyst/nvidia since the files conflict.
Mesa drivers supported glvnd, now nvidia is attempting the same to allow combos such as intel+nvidia without hacks such as the bumblebee packaging. (not 100% sure of this)

The new file structure is different, hence the file conflicts with mesa, yet that makes no sense since the purpose of glvnd is to avoid such problems.
It should be largely the same, and once the packaging is fixed all should work the same way.

This is what I think that's happening, but I'm nowhere close to a graphic dev nor packager so lets wait for some confirmation of this and if possible with a fix.

Either way, citing nvidia two years ago:

updating the Linux OpenGL ABI to allow for multiple vendors to co-exist within a single process and OpenGL applications to dispatch commands to different vendors with per-context granularity. The current proposal calls for a vendor-neutral "API library" which acts as an intermediate layer between the application and OpenGL vendor implementations that manages this dispatching.


Ahh... stuff

Offline

#23 2016-02-11 14:14:28

YAOMTC
Member
Registered: 2010-02-23
Posts: 178

Re: Source games stopped working - nvidia update(361.28-1) suspected

Another update became available this morning, 361.28-4. It doesn't solve the issues on my end, though.

Offline

#24 2016-02-11 14:18:02

spider-net
Member
Registered: 2015-12-09
Posts: 31

Re: Source games stopped working - nvidia update(361.28-1) suspected

Fixed for me. https://bugs.archlinux.org/task/48123 is now closed.

Offline

#25 2016-02-11 14:37:55

YAOMTC
Member
Registered: 2010-02-23
Posts: 178

Re: Source games stopped working - nvidia update(361.28-1) suspected

That update was for Optimus/Bumblebee users, looks like? Glad that problem was solved, at least.

Offline

Board footer

Powered by FluxBB